/* m.css */

.top_container {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;

    display: flex;
    align-items: center;
    justify-content: space-between;

    width: 100%;
    height: 42px;
    padding: 0 10px;
    box-sizing: border-box;

    border: none;
    background-color: var(--top_menu_background_color);
}

.title_logo_container {
    display: flex;
    align-items: center;
    flex-shrink: 1;
}

.title_logo {
    display: block;
    height: 26px;
    width: auto;
    max-width: 65vw;
}

.main_menu_container {
    display: flex;
    align-items: center;
    gap: 14px;
}

.main_menu_item {
    color: var(--top_menu_text_color1) !important;
    text-decoration: none;
    white-space: nowrap;
}

.main_menu_item:hover {
    text-decoration: none;
    color:cyan !important;
}

.burger_container {
    display: none;
}

.burger_button {
    border: none;
    background: transparent;
    color: var(--top_menu_text_color1);

    font-size: 5vw; /* 30px; */
    line-height: 1;
    cursor: pointer;
    padding: 0;
}

.burger_button:hover {
    background: transparent;
    background-color:transparent;
}    


/* Mobile */
@media screen and (max-width: 900px) {

    .top_container {
        height: max-content;
        flex-wrap: wrap;
    }

    .title_logo {
        height: auto;
        width:auto;
        max-width: 60vw;
        max-height: 36px;
    }

    .burger_container {
        display: flex;
        align-items: center;
    }

    .main_menu_container {
        display: none;

        position: absolute;
        top: 36px;
        left: 0;

        width: 100%;
        flex-direction: column;
        align-items: stretch;

        background-color: var(--top_menu_background_color);
        text-align: center;
    }

    .main_menu_container.responsive {
        display: flex;
        background-color:var(--top_menu_background_color_mobile);
        padding-top:10px;
        padding-bottom:10px;        
    }

    .main_menu_item_container {
        width: 100%;
    }

    .main_menu_item {
        display: block;
        width: 100%;
        padding: 0;
        font-size: 3rem;
        background-color: transparent;
        color: white !important;
        text-decoration: none;
    }
}